%bcond_without	javadoc		# build api docs

%define		snap		20011119
%define		srcname		cryptix-asn1
%include	/usr/lib/rpm/macros.java
Summary:	Cryptix ASN1 implementation
Summary(pl.UTF-8):	Implementacja Cryptix ASN1
Name:		java-cryptix-asn1
Version:	0.%{snap}
Release:	3
License:	BSD-like
Group:		Libraries/Java
# http://www.rtfm.com/cgi-bin/distrib.cgi?Cryptix-asn1-20011119.tar.gz
Source0:	Cryptix-asn1-%{snap}.tar.gz
# Source0-md5:	ac4080eee24b1cf0a476cee4fe501149
Source1:	%{srcname}.build.xml
URL:		http://cryptix-asn1.sourceforge.net/
Patch0:		%{srcname}-java-1.5.patch
BuildRequires:	ant >= 1.5
BuildRequires:	java-cryptix
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java-cryptix
Obsoletes:	cryptix-asn1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Java crypto package containing ASN1 implementation.

%description -l pl.UTF-8
Pakiet kryptograficzny Javy zawierający implementację ASN1.

%package javadoc
Summary:	Online manual for %{srcname}
Summary(pl.UTF-8):	Dokumentacja online do %{srcname}
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	cryptix-asn1-javadoc

%description javadoc
Documentation for %{srcname}.

%description javadoc -l pl.UTF-8
Dokumentacja do %{srcname}.

%description javadoc -l fr.UTF-8
Javadoc pour %{srcname}.

%prep
%setup -q -n Cryptix-asn1-%{snap}
%patch0 -p1
cp %{SOURCE1} build.xml
find -name '*.jar' | xargs rm -f

%build
CLASSPATH=$(build-classpath cryptix)
%ant clean jar %{?with_javadoc:javadoc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp build/lib/*.jar $RPM_BUILD_ROOT%{_javadir}

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sat Feb 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-cryptix-asn1.git;a=log;h=master

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> 44c93da
- avoid self-obsoletes; drop old provides

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 62bc83d
- moved main package description just after preamble

* Wed May 19 2010 sparky <sparky@pld-linux.org> f1d9ada
- BR: rpm-javaprov

* Fri Apr 23 2010 pawelz <pawelz@pld-linux.org> ec22120
- Don't force specific jdk.

* Sun Apr 12 2009 Elan Ruusamäe <glen@pld-linux.org> 71e75cf
- O/P for old name; rel 2

* Mon Apr 06 2009 pawelz <pawelz@pld-linux.org> b30eee9
- rel 1

* Mon Apr 06 2009 pawelz <pawelz@pld-linux.org> 9134ed8
- added rpm versioned BR (for %{pld_release} macro)
- added line to last commit log (about splitting javadoc into subpackage)

* Mon Apr 06 2009 pawelz <pawelz@pld-linux.org> ebbef6c
- renamed from cryptix-asn1.spec
- dropped BRs: log4j, junit, gnu-getopt
- added jdk bconds
- added javadoc bcond
- include java rpm macros
- split javadoc into subpackage

* Fri Apr 03 2009 pawelz <pawelz@pld-linux.org> dcb1285
- new names for BRs

* Mon Apr 09 2007 Elan Ruusamäe <glen@pld-linux.org> 0718523
- use java macros
- update deps
- builds with java-1.5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1648a94
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 70691dc
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 37f52b3
- unify sourceforge url

* Fri May 19 2006 Jacek Konieczny <jajcus@pld-linux.org> 4ea33d8
- s/jakarta-ant/ant/ in BR

* Mon May 30 2005 leafnode <leafnode@pld-linux.org> 3592925
- patch fixing build with sun java 1.5

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> 602a742
- może wrescie ktoś wykasuje to konto ?

* Fri Jul 11 2003 ankry <ankry@pld-linux.org> 91e7432
- URL fixes and other cosmetics

* Sat Jul 05 2003 Jakub Bogusz <qboosh@pld-linux.org> 7dc9383
- this version doesn't BR jikes

* Thu Jul 03 2003 Jakub Bogusz <qboosh@pld-linux.org> 6c7af7a
- pl

* Wed Jul 02 2003 ankry <ankry@pld-linux.org> 5603219
- md5

